org.apache.myfaces.trinidad.change

## Class ComponentChangeFilter

- java.lang.Object
- - org.apache.myfaces.trinidad.change.ComponentChangeFilter

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    ComponentReferencingComponentChangeFilter

      public abstract class ComponentChangeFilter
      extends Object
      implements Serializable

  Filter class used to filter the ComponentChanges that gets added to the ChangeManager through calls to UIXComponentBase.addComponentChange() method. Clients that wish to supress certain changes for certain components would provide the concrete implementations.
  See Also:
    `UIXComponentBase.addComponentChange(ComponentChange)`, `UIXComponentBase.addComponentChangeFilter(ComponentChangeFilter)`, Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ComponentChangeFilter.Result` Enum for filter result

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ComponentChangeFilter()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract ComponentChangeFilter.Result` | `accept(ComponentChange componentChange, javax.faces.component.UIComponent changeTargetComponent)` Indicates whether this filter accepts or rejects a supplied change for the supplied component for which the change is targeted

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ComponentChangeFilter

          public ComponentChangeFilter()

  - ### Method Detail

    - #### accept

          public abstract ComponentChangeFilter.Result accept(ComponentChange componentChange,
                                            javax.faces.component.UIComponent changeTargetComponent)

      Indicates whether this filter accepts or rejects a supplied change for the supplied component for which the change is targeted
      Parameters:
        `componentChange` - The ComponentChange to check acceptance for
        `changeTargetComponent` - The intended target component for the change
      Returns:
        Result Indicates acceptance or rejection of the change

Copyright © 2001-2017 The Apache Software Foundation. All Rights Reserved.